.atroverlay{
    /*display: none;*/
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 999;
    background: rgba(255,255,255,0.8) url("https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/0.16.1/images/loader-large.gif") center no-repeat;
}
/* Turn off scrollbar when body element has the loading class */
body.atrloading{
    overflow: hidden;   
}
/* Make spinner image visible when body element has the loading class */
body.atrloading .atroverlay{
    display: block;
}

.gha-search-form-container,
.gha-search-results__hotel-card-container {
    display: flex;
    flex-direction: row;
	border: 1px solid #e1e1e1;
}
.gha-search__location-holder-output h3 {
    margin-top: 10px;
    margin-bottom: 2px;
}
.gha-search-form__left-holder,
.gha-search-form__right-holder {
    display: flex;
    flex-direction: column;
}
.gha-search-form__left-holder {
	flex: 0 0 60%;
	width: 60%;
	max-width: 60%;
    background-image: url(/wp-content/uploads/2021/07/divani-caravel-hotel-divine-acropolis-view-suite-01.jpg);
    background-size: cover;
    background-position: center center;
}
.gha-search-form__right-holder {
	padding: 20px;
	flex: 0 1 100%;
	width: 100%;
	max-width: 100%;
}
.gha-search-form__location-picker { margin-top: 25px; }
.gha-search-form__location-picker,
.gha-search-results__location-picker { position: relative; }
input#searchHotelInput {
	margin-bottom: 0;
	width: 100%;
}
.gha-search-form__right-holder #gha-search-form__check-in-date { margin-top: 10px; }
.gha-search-form__location-holder-output,
.gha-search-results__location-holder-output {
	z-index: 2;
	position: absolute;
	max-height: 300px;
    overflow-x: hidden;
    overflow-y: scroll;
	border: 1px solid rgba(51,51,51,0.12);
	background-color: #fff;
	padding: 1.5rem 1.5rem;
	width: 100%;
    box-sizing: border-box;
	display: none;
}
.gha-search-results__location-holder-output { top: 59px; }
.gha-search-form__location-holder-output li,
.gha-search-results__location-holder-output li,
.gha-search-form__close-button,
.gha-search-results__close-button { cursor: pointer; }
.gha-search-form__close-button,
.gha-search-results__close-button {
    position: sticky;
    font-size: 22px;
    display: table;
    margin: -28px -10px 0 auto;
    top: -12px;
}
button.gha-search-form__submit-btn,
button.gha-search-results__submit-btn {
    font-size: 12px;
    width: 158px;
    color: #fff;
    background-color: #9f8e6b;
    border-color: transparent;
    margin: 0 auto;
    padding: 0.9em 0.6em;
    font-family: "Noto Sans", sans-serif;
    letter-spacing: 0.8px;
}
button.gha-search-results__submit-btn { padding: 0.7em 0.6em; }
a.gha-search-results__hotel-details {
	
}

.gha-search-form__location-holder-output::-webkit-scrollbar-thumb,
.gha-search-results__location-holder-output::-webkit-scrollbar-thumb { background-color: #373737; }
.gha-search-form__location-holder-output::-webkit-scrollbar,
.gha-search-results__location-holder-output::-webkit-scrollbar { width: 6px; }


/* Search Results */
.gha-search-results__top-holder {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.gha-search-results__left-holder {
    display: flex;
    flex-wrap: wrap;
	flex-grow: 1;
	gap: 12px;
}
.gha-search-results__left-holder > div {
    display: flex;
    flex-direction: column;
}
.gha-search-results__right-holder {
    display: flex;
    align-items: flex-end;
}
.gha-search-results-container input,
.gha-search-results-container select { margin-bottom: 0 !important; }
.gha-search-results__left-holder label {
	font-size: 10px;
    text-transform: uppercase;
}
p.gha-search-results__sorting { font-weight: bold; }
.gha-search-results__top-holder .gha-search-results__location-picker { flex: 0 0 30%; }
.gha-search-results__check-in-out-dates,
.gha-search-results__check-in-out-dates { flex: 0 0 15%; }
.gha-search-results__select-rooms,
.gha-search-results__select-adults,
.gha-search-results__select-children { flex: 0 0 6%; }
input#gha-search-results__promo-code {
    max-width: 120px;
    width: 100%;
}
a.gha-search-results__hotel-availability,
a.gha-search-results__hotel-details {
	text-decoration: none;
    font-size: 12px;
    width: 158px;
    color: #fff;
    border-color: transparent;
    margin: 0 auto;
    padding: 0.6em 0.7em;
    font-family: "Noto Sans", sans-serif;
    letter-spacing: 0.8px;
}
a.gha-search-results__hotel-availability { background-color: #9f8e6b; }
a.gha-search-results__hotel-details { background-color: #959492; }


/* Hotel Results */
.gha-search-results__hotel-card-left-holder {
	flex: 0 0 70%;
	display: flex;
}
.gha-search-results__hotel-card-right-holder {
	flex: 0 0 30%;
	display: flex;
    justify-content: flex-end;
    align-items: center;
}
.gha-search-results__hotel-image img { width: 100%; }
.gha-search-results__hotel-image {
	flex: 0 0 250px;
	display: flex;
}
.gha-search-results__hotel-info {
	flex: 0 1 calc(100% - 250px);
	padding: 15px;
    display: flex;
    flex-direction: column;
	justify-content: center;
}
.gha-search-results__hotel-rates {
	text-align: center;
	padding: 15px 15px 15px 0;
}
.gha-search-results__hotel-buttons {
    display: flex;
    flex-direction: column;
	gap: 8px;
}
.gha-search-results__hotel-info h3,
.gha-search-results__hotel-info p { margin-bottom: 0; }
.gha-search-results__hotel-group {
	color: #9f8e6b;
	line-height: 1.2;
    margin-bottom: 5px;
}
.gha-search-results__hotel-price-currency,
.gha-search-results__hotel-price-amount { font-size: 18px; }
.gha-search-results__hotel-price p {
    font-size: 10px;
    line-height: 1;
    margin-bottom: 15px;
}
.gha-search-results__bottom-holder { margin-top: 20px; }
p.gha-search-results__discovery-hotels-title { margin-bottom: 5px; }

.gha-search-form-container select:not(.elementor-field),
.gha-search-results-container select:not(.elementor-field) {
    padding: 5px 8px 5px 5px;
    -webkit-appearance: auto !important;
    background-image: none !important;
}

/* Discovery Page */
.gha-search-btn-overlay,
.gha-search-form-container {
	position: absolute;
	top: 15px;
	right: 15px;
}
.gha-search-btn-overlay {
    background-color: #fff;
	color: #000 !important;
    padding: 6px 16px;
    text-decoration: none;
    text-align: center;
    font-family: var(--dl-font-family-1);
    font-size: 12px;
    transition: all .3s;
    border: none;
	z-index: 6;
}
.gha-search-btn-overlay:hover,
button.gha-search-btn-overlay.is-open {
    background-color: #fff;
    color: #9f8e6b;
}
.gha-search-btn-overlay .close {
    position: relative;
    display: inline-block;
    top: -1px;
    margin-left: 5px;
    vertical-align: middle;
    width: 9px;
    height: 13px;
    transition: all .3s;
}
.gha-search-btn-overlay .close::before {
    content: "";
    position: absolute;
    left: 0;
    top: 6px;
    right: 0;
    height: 1px;
    background: #000;
}
.gha-search-btn-overlay .close::after {
    content: "";
    position: absolute;
    left: 0;
    top: 6px;
    right: 0;
    height: 1px;
    background: #000;
    -webkit-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotate(-90deg);
}
.gha-search-btn-overlay:hover .close::before,
.gha-search-btn-overlay:hover .close::after,
button.gha-search-btn-overlay.is-open .close::before,
button.gha-search-btn-overlay.is-open .close::after {
	background: #000;
}
.gha-search-btn-overlay.is-open .close {
    -webkit-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.gha-search-form-container {
    min-width: 380px;
    background-color: #fff;
    z-index: 5;
}
.gha-search-form-container {
    opacity: 0;
    visibility: hidden;
    z-index: 0;
	transition: .4s ease;
}
.gha-search-form-container.is-open {
    opacity: 1;
    visibility: visible;
    z-index: 5;
}




/* Membership Balance */
.membership-balance {
    display: flex;
    flex-direction: column;
    align-content: flex-start;
    flex-wrap: wrap;
    align-items: flex-start;
}
.membership-balance h2,
.membership-balance h3 {
    font-size: 25px;
	font-weight: bold;
}
.membership-balance .membership-balance__reward-statement-btn {
    text-decoration: none;
    font-size: 12px;
    text-align: center;
    width: 158px;
    background-color: #959492;
    color: #fff;
    border-color: transparent;
    padding: 0.8em 0.7em;
    font-family: "Noto Sans", sans-serif;
    letter-spacing: 0.8px;
	margin-top: 25px;
}
.membership-balance__grey-line {
    background-color: #d3d3d3;
    height: 2px;
    width: 40px;
    margin-bottom: 15px;
    margin-top: 5px;
}



/* Membership Progress */
.membership-progress {
	max-width: 750px;
	width: 100%;
	margin-top: 60px;
}
.membership-progress__bottom-holder {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
	margin-top: 30px;
}
.membership-progress__bookings-holder {
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
	margin-bottom: 7px;
	margin-right: 10px;
}
span.membership-progress__bookings-left {
    display: block;
	max-width: 30px;
    width: 30px;
    height: 12px;
    background-color: lightgray;
}
span.membership-progress__bookings-left.done {
	background-color: #9f8e6b;
}
.membership-progress__container {
    background-color: lightgray;
    height: 130px;
    width: 130px;
    padding: 12px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.membership-progress__holder {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #fff;
    border-radius: 50%;
    height: 100%;
    width: 100%;
    align-items: center;
}
span.membership-progress__spending-amount-left {
    font-size: 25px;
}



@media (max-width: 767px) {
	.gha-search-form-container {
		min-width: 0;
		max-width: 100%;
		width: calc(100% - 30px);
		border: none;
	}
	.gha-search-form-container,
	.gha-search-results__top-holder,
	.gha-search-results__hotel-card-container { flex-direction: column; }
	.gha-search-form__left-holder,
	.gha-search-form__right-holder {
		flex: 0 0 100%;
		width: 100%;
		max-width: 100%;
		box-sizing: border-box;
	}
	.gha-search-form__right-holder {
		padding: 10px;
		border: 1px solid lightgray;
	}
	.gha-search-results__hotel-rates {
		width: 100%;
		display: flex;
		justify-content: space-around;
		align-items: center;
		padding: 15px 0;
	}
	.gha-search-results__hotel-image { min-height: 150px; }
	.gha-search-results__hotel-price p { margin-bottom: 0; }
	.gha-search-results__bottom-holder { margin-top: 40px; }
	.gha-search-results__bottom-holder > h2,
	.gha-search-results__bottom-holder > p { text-align: center; }
	
	span.membership-progress__bookings-left {
		max-width: 150px;
		width: 100%;
	}
	.membership-progress__bottom-holder > div:nth-of-type(1) { width: 100%; }
}
@media (max-width: 740px) {
	.gha-search-results__location-picker { flex-basis: 100% !important; }
	.gha-search-results__check-in-out-dates,
	.gha-search-results__check-in-out-dates { flex: 0 0 calc(50% - 6px) !important; }
	.gha-search-results__select-rooms,
	.gha-search-results__select-adults,
	.gha-search-results__select-children { flex: 1 0 calc(33% - 12px); }
	.gha-search-results__promo-code-container { flex: 0 0 100%; }
	input#gha-search-results__promo-code { max-width: 100%; }
}
@media (max-width: 600px) {
	.gha-search-results__hotel-card-left-holder {
		flex: 0 0 70%;
		display: flex;
		flex-direction: column;
	}
	.gha-search-results__hotel-image { flex: 0 0 100%; }
	.gha-search-results__hotel-image { min-height: 200px; }
	.gha-search-results__hotel-info { align-items: center; }
	.gha-search-results__hotel-rates {
		flex-direction: column;
		padding: 0 3px 15px;
	}
	.gha-search-results__hotel-buttons {
		flex-direction: row;
		flex-wrap: wrap;
		margin-top: 15px !important;
	}
}
@media (max-width: 560px) {
	.membership-progress__bottom-holder {
		flex-direction: column;
		gap: 20px;
	}
	.membership-progress__bookings-holder { margin-right: 0;}
}
@media (max-width: 414px) {
	span.membership-progress__bookings-left {
		width: 100%;
		max-width: calc(50% - 4px);
	}
}
@media (max-width: 370px) {
	.gha-search-results__hotel-image { min-height: 160px; }
}